goocanvasmm: Goocanvas::Table Class Reference

goocanvasmm 1.90.8

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions
Goocanvas::Table Class Reference
Inheritance diagram for Goocanvas::Table:
[legend]

List of all members.

## Public Member Functions
virtual | ~Table ()
GooCanvasTable* | gobj ()
| Provides access to the underlying C GObject.
const GooCanvasTable* | gobj () const
| Provides access to the underlying C GObject.
GooCanvasTable* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
void | attach (const Glib::RefPtr< Item >& item, guint left_attach, guint right_attach, guint top_attach, guint bottom_attach, Gtk::AttachOptions xoptions=Gtk::FILL|Gtk::EXPAND, Gtk::AttachOptions yoptions=Gtk::FILL|Gtk::EXPAND, double left_padding=0.0, double right_padding=0.0, double top_padding=0.0, double bottom_padding=0.0)
| This convenience method is easier than setting the properties individually, and is similar to Gtk::Table::attach().
void | set_align (const Glib::RefPtr< Item >& child, double xalign=0.0, double yalign=0.0)
void | set_align (const Glib::RefPtr< Item >& child, Gtk::Align xalign=Gtk::ALIGN_START, Gtk::Align yalign=Gtk::ALIGN_START)
Glib::PropertyProxy< double > | property_row_spacing ()
| The default space between rows.
Glib::PropertyProxy_ReadOnly < double > | property_row_spacing () const
| The default space between rows.
Glib::PropertyProxy< double > | property_column_spacing ()
| The default space between columns.
Glib::PropertyProxy_ReadOnly < double > | property_column_spacing () const
| The default space between columns.
Glib::PropertyProxy< bool > | property_homogeneous_rows ()
| If all rows are the same height.
Glib::PropertyProxy_ReadOnly < bool > | property_homogeneous_rows () const
| If all rows are the same height.
Glib::PropertyProxy< bool > | property_homogeneous_columns ()
| If all columns are the same width.
Glib::PropertyProxy_ReadOnly < bool > | property_homogeneous_columns () const
| If all columns are the same width.
Glib::PropertyProxy< double > | property_x_border_spacing ()
| The amount of spacing between the lefmost and rightmost cells and the border grid line.
Glib::PropertyProxy_ReadOnly < double > | property_x_border_spacing () const
| The amount of spacing between the lefmost and rightmost cells and the border grid line.
Glib::PropertyProxy< double > | property_y_border_spacing ()
| The amount of spacing between the topmost and bottommost cells and the border grid line.
Glib::PropertyProxy_ReadOnly < double > | property_y_border_spacing () const
| The amount of spacing between the topmost and bottommost cells and the border grid line.
Glib::PropertyProxy< double > | property_vert_grid_line_width ()
| The width of the grid line to draw between columns.
Glib::PropertyProxy_ReadOnly < double > | property_vert_grid_line_width () const
| The width of the grid line to draw between columns.
Glib::PropertyProxy< double > | property_horz_grid_line_width ()
| The width of the grid line to draw between rows.
Glib::PropertyProxy_ReadOnly < double > | property_horz_grid_line_width () const
| The width of the grid line to draw between rows.
## Static Public Member Functions
static Glib::RefPtr< Table > | create ()
## Protected Member Functions
| Table ()
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Goocanvas::Table > | wrap (GooCanvasTable* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Goocanvas::Table::~Table | ( |  | ) | `[virtual]`

Goocanvas::Table::Table | ( |  | ) | `[protected]`

## Member Function Documentation

void Goocanvas::Table::attach | ( | const Glib::RefPtr< Item >& | item,
|  | guint | left_attach,
|  | guint | right_attach,
|  | guint | top_attach,
|  | guint | bottom_attach,
|  | Gtk::AttachOptions | xoptions = `Gtk::FILL|Gtk::EXPAND`,
|  | Gtk::AttachOptions | yoptions = `Gtk::FILL|Gtk::EXPAND`,
|  | double | left_padding = `0.0`,
|  | double | right_padding = `0.0`,
|  | double | top_padding = `0.0`,
|  | double | bottom_padding = `0.0`
| ) |  |

This convenience method is easier than setting the properties individually, and is similar to Gtk::Table::attach().

Parameters:

  item | The canvas item to add to the table.
  left_attach | The left column to attach the item.
  right_attach | The right column to attach the item. Just use left_attach+1 for a single column.
  top_attach | The top column to attach the item.
  bottom_attach | The bottom column to attach the item. Just use top_attach+1 for a single column.
  xoptions | Whether the item should expand or shrink.
  yoptions | Whether the item should expand or shrink.
  left_padding | The padding at the left.
  right_padding | The padding at the right.
  top_padding | The padding at the top.
  bottom_padding | The padding at the bottom.

static Glib::RefPtr<Table> Goocanvas::Table::create | ( |  | ) | `[static]`

Reimplemented from Goocanvas::Group.

const GooCanvasTable* Goocanvas::Table::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Goocanvas::Group.

GooCanvasTable* Goocanvas::Table::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Goocanvas::Group.

GooCanvasTable* Goocanvas::Table::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Goocanvas::Group.

Glib::PropertyProxy<double> Goocanvas::Table::property_column_spacing | ( |  | ) |

The default space between columns.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<double> Goocanvas::Table::property_column_spacing | ( |  | ) | const

The default space between columns.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Goocanvas::Table::property_homogeneous_columns | ( |  | ) |

If all columns are the same width.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Goocanvas::Table::property_homogeneous_columns | ( |  | ) | const

If all columns are the same width.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Goocanvas::Table::property_homogeneous_rows | ( |  | ) |

If all rows are the same height.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Goocanvas::Table::property_homogeneous_rows | ( |  | ) | const

If all rows are the same height.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<double> Goocanvas::Table::property_horz_grid_line_width | ( |  | ) | const

The width of the grid line to draw between rows.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<double> Goocanvas::Table::property_horz_grid_line_width | ( |  | ) |

The width of the grid line to draw between rows.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<double> Goocanvas::Table::property_row_spacing | ( |  | ) |

The default space between rows.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<double> Goocanvas::Table::property_row_spacing | ( |  | ) | const

The default space between rows.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<double> Goocanvas::Table::property_vert_grid_line_width | ( |  | ) | const

The width of the grid line to draw between columns.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<double> Goocanvas::Table::property_vert_grid_line_width | ( |  | ) |

The width of the grid line to draw between columns.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<double> Goocanvas::Table::property_x_border_spacing | ( |  | ) |

The amount of spacing between the lefmost and rightmost cells and the border grid line.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<double> Goocanvas::Table::property_x_border_spacing | ( |  | ) | const

The amount of spacing between the lefmost and rightmost cells and the border grid line.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<double> Goocanvas::Table::property_y_border_spacing | ( |  | ) | const

The amount of spacing between the topmost and bottommost cells and the border grid line.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<double> Goocanvas::Table::property_y_border_spacing | ( |  | ) |

The amount of spacing between the topmost and bottommost cells and the border grid line.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Goocanvas::Table::set_align | ( | const Glib::RefPtr< Item >& | child,
|  | double | xalign = `0.0`,
|  | double | yalign = `0.0`
| ) |  |

void Goocanvas::Table::set_align | ( | const Glib::RefPtr< Item >& | child,
|  | Gtk::Align | xalign = `Gtk::ALIGN_START`,
|  | Gtk::Align | yalign = `Gtk::ALIGN_START`
| ) |  |

## Friends And Related Function Documentation

Glib::RefPtr< Goocanvas::Table > wrap | ( | GooCanvasTable * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- goocanvasmm/table.h